<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
<xsl:output method="text" />
<xsl:template match="/">%!PS
/cutmarks {
	.5 setlinewidth	% width of cutmarks
	% LL cutmarks
	.5 inch .5 inch  moveto .5 inch .9 inch lineto
	0 1 inch moveto .4 inch 1 inch lineto
	% LR cutmarks
	8 inch .5 inch  moveto 8 inch .9 inch lineto
	8.5 inch  1 inch moveto 8.1 inch 1 inch lineto
	% UL cutmarks
	.5 inch 10.5 inch moveto .5 inch 10.1 inch lineto
	0 10 inch moveto .4 inch 10 inch lineto
	% UR cutmarks
	8 inch 10.5 inch moveto 8 inch 10.1 inch lineto
	8.5 inch 10 inch moveto 8.1 inch 10 inch lineto
	% left edge
	0 2.5 inch moveto .4 inch 2.5 inch lineto
	0 4 inch moveto .4 inch 4 inch lineto
	0 7 inch moveto .4 inch 7 inch lineto
	0 8.5 inch moveto .4 inch 8.5 inch lineto
	% right edge
	8.5 inch 2.5 inch moveto 8.1 inch 2.5 inch lineto
	8.5 inch 4 inch moveto 8.1 inch 4 inch lineto
	8.5 inch 7 inch moveto 8.1 inch 7 inch lineto
	8.5 inch 8.5 inch moveto 8.1 inch 8.5 inch lineto
	% top
	3 inch 10.5 inch moveto 3 inch 10.1 inch lineto
	5.5 inch 10.5 inch moveto 5.5 inch 10.1 inch lineto
	% bottom
	3 inch .5 inch moveto 3 inch .9 inch lineto
	5.5 inch .5 inch moveto 5.5 inch .9 inch lineto
	stroke
	% fold
	gsave
	.5 inch 5.5 inch moveto 8 inch 5.5 inch lineto
	[2 5] 1 setdash stroke
	grestore
	} def

/inch	{ 72 mul} def % so we can work in inches


/front	{	% put out the front of the card
	x cardno get yf cardno get moveto
	show
	} def

/back	{	% put out the back of the card and move to next
		% if last card, put page and reset counters
	x cardno get yb cardno get moveto
	show
	cardstep
	} def

/cardstep	{	% move to next card
	/cardno cardno 1 add def
	cardno 8 gt { pageout /cardno 0 def } if
	} def

/startit	{	% do the initialization
	% define the locations of the 9 cards
	/x [ .75 inch 3.25 inch 5.75 inch .75 inch 3.25 inch 5.75 inch
	     .75 inch 3.25 inch 5.75 inch ] def
	/yf[ 6.25 inch 6.25 inch 6.25 inch 7.75 inch 7.75 inch 7.75 inch
	     9.25 inch 9.25 inch 9.25 inch ] def
	/yb[ 1.75 inch 1.75 inch 1.75 inch 3.25 inch 3.25 inch 3.25 inch
	     4.75 inch 4.75 inch 4.75 inch ] def
	/Times-Roman findfont 20 scalefont setfont
	/cardno 0 def 
		} def

/pageout	{	% output current page
	cardno 0 gt { cutmarks showpage} if
	} def

% Real program starts here
startit
<xsl:apply-templates/>
pageout
</xsl:template>

<xsl:template match="e">
  (<xsl:value-of select="o" />) front
  (<xsl:value-of select="t" />) back
</xsl:template>

</xsl:stylesheet>
